Supercharge - Feature #17411

BD IAM migration
29 August 2023 03:34 PM - David Wong

Status: In Progress Start date: 29 August 2023
Priority: Normal Due date:

Assignee: ALIF NAZMI % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Git Repo:

https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-iam.git

Create spring boot project:

name: bd_iam

spring boot version: 2.7.15

gradle

default package: com.silverlake.ifb.iam

History

#1 - 29 August 2023 03:35 PM - David Wong

Migrate from legacy:

e Business constitution
e User category

¢ Department

e Organisation

#2 - 29 August 2023 03:49 PM - ALIF NAZMI

- Status changed from New to In Progress

#3 - 30 August 2023 08:33 AM - David Wong

David Wong wrote:

Git Repo:
https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-iam.git

Create spring boot project:

name: bd_iam

spring boot version: 2.7.15

gradle

default package: com.silverlake.ifb.iam
https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-iam.git
https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-iam.git

#4 - 30 August 2023 08:35 AM - David Wong

- Description updated

#5 - 05 September 2023 04:35 PM - ALIF NAZMI
- % Done changed from 0 to 10

Business constitution search part filter by status(active or deactive) services is done, currently enhancing the filtering to words filtering. eg: (start with,
contain, end with, etc)

#6 - 07 September 2023 02:06 PM - ALIF NAZMI
- % Done changed from 10 to 20

Business Constitution part is done, create, modify, delete, add , view and filter

#7 - 14 September 2023 02:37 AM - ALIF NAZMI
- % Done changed from 20 to 30

User Category part for create, view and filter is done

#8 - 14 September 2023 03:16 PM - ALIF NAZMI
- % Done changed from 30 to 40

User category modify and save is developed

#9 - 19 September 2023 03:44 PM - ALIF NAZMI
- % Done changed from 40 to 100

OrganisationProfile and Department done
